Nothing is true; Everything is permitted

Ubuntu 16.04下网易云音乐无法运行的问题

Ubuntu下安装网易云音乐最新版本(目前为V1.1.0)之后,第一次使用是可以正常启动的,但是重启一次电脑之后,就发现其必须使用root权限才能运行,而且还不能关闭对应的终端,这是很麻烦的一件事,毕竟一个音乐软件获取root权限才能能运行还是非常让人无法理解的

网上的解决方法我看到的基本为四类

1.为其添加沙盒模式

2.降低网易云音乐运行的权限

3.将其加入/etc/sudoers文件,默认按照root权限启动

4.回退为低版本,因为V1.0.0之前的版本基本都没这个问题


我试了前3种方法,没卵用,只有回退低版本

1.卸载V1.1.0版本,下载V1.0.0版本

这里给出链接:

百度云(密码:cnjn)   Dropbox

此外还有一些0.9版本的:

ubuntu16.04(32位):http://s1.music.126.net/download/pc/netease-cloud-music_0.9.0-2_i386.deb
ubuntu16.04(64位):http://s1.music.126.net/download/pc/netease-cloud-music_0.9.0-2_amd64.deb
ubuntu14.04(32位):http://s1.music.126.net/download/pc/netease-cloud-music_0.9.0-1_i386.deb
ubuntu14.04(64位):http://s1.music.126.net/download/pc/netease-cloud-music_0.9.0-1_amd64.deb

2.安装(略)

3.设置网易云音乐不升级

因为我们毕竟平时经常需要更新系统软件,即apt-get upgrade或者apt-get dist-upgrade

但是这样的话,网易云音乐也就升级到高版本了,这是我们不希望的

所以需要设置网易云音乐不升级,即设置在Ubuntu的apt中禁止网易云被apt-get upgrade/dist-upgrade更新

首先,查询网易云音乐软件包名称

查询到为netesea-cloud-music

然后为其打上hold标记

然后可以查询当前系统被锁定不更新的软件包状态(hold),命令为

就可以看到网易云音乐的软件包在其中

《Ubuntu 16.04下网易云音乐无法运行的问题》

ps:这种为软件包打上hold标记,让其不被apt-get upgrade/dist-upgrade更新的方法不仅仅适用于所有软件包,不局限于网易云音乐,如可以用来标记特定版本的驱动不被更新等等

点赞

发表评论

电子邮件地址不会被公开。 必填项已用*标注